<!DOCTYPE html>
<html>
    <head>
        <style> 
            div {
                width: 100px;
                height: 50px;
                background-color: red;
                font-weight: bold;
                position: relative;
                -webkit-animation: mymove 5s infinite; /* Safari 4.0 - 8.0 */
                animation: mymove 5s infinite;
            }

            /* Safari 4.0 - 8.0 */
            #div1 {-webkit-animation-timing-function: linear;}
            #div2 {-webkit-animation-timing-function: ease;}
            #div3 {-webkit-animation-timing-function: ease-in;}
            #div4 {-webkit-animation-timing-function: ease-out;}
            #div5 {-webkit-animation-timing-function: ease-in-out;}

            /* Standard syntax */
            #div1 {animation-timing-function: linear;}
            #div2 {animation-timing-function: ease;}
            #div3 {animation-timing-function: ease-in;}
            #div4 {animation-timing-function: ease-out;}
            #div5 {animation-timing-function: ease-in-out;}

            /* Safari 4.0 - 8.0 */
            @-webkit-keyframes mymove {
                from {left: 0px;}
                to {left: 300px;}
            }

            /* Standard syntax */
            @keyframes mymove {
                from {left: 0px;}
                to {left: 300px;}
            }
        </style>
    </head>
    <body>


        <div id="div1">linear</div>
        <div id="div2">ease</div>
        <div id="div3">ease-in</div>
        <div id="div4">ease-out</div>
        <div id="div5">ease-in-out</div>

    </body>
</html>
